image: registry.gitlab.com/leonardmessier/docker-tools/docker-compose:1.24.1

services:
  - docker:dind

stages:
  - test

Build And Test:
  stage: test
  before_script:
    - curl -LO https://storage.googleapis.com/container-structure-test/latest/container-structure-test-linux-amd64 && chmod +x container-structure-test-linux-amd64 && mkdir -p $HOME/bin && export PATH=$PATH:$HOME/bin && mv container-structure-test-linux-amd64 $HOME/bin/container-structure-test
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
  variables:
    SHEF_VERSION: "1.0.0"
  script:
    - make build-docker
    - make test
  artifacts:
    paths:
      - /tmp/shef.log
    expire_in: 1 week

